Subject: Re: bug#20270: bug#20259: 25.0.50; 'Invalid slot type: semanticdb-project-database-file, reference-directory, string, nil' with semantic-mode

From: Ivan Shmakov <[email-masked]>
Date: Fri, 17 Apr 2015 15:55:54 +0000

close 20259
fixed 20259 25.1
fixed 20270 25.1
merge 20259 20270
thanks

>>>>> Stefan Monnier <[email-masked]> writes:

 >> I know; it is.  And that’s the whole point of using lndir(1): to
 >> create a symlink-based “shadow” of the /source/ directory and use it
 >> as the build one.

 > Than I misunderstood your script.  Does the recent patch fix your
 > problems?

	At the very least, I no longer observe the issue with
	85c3e1be2418 (2015-04-17 04:32:33 +00:00), so I close #20259.
	And also merge it with #20270, as it looks like the same bug.

	Thanks again for the fix.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A